org.gradle.play

## Interface JvmClasses

- All Superinterfaces:
    Buildable, BuildableModelElement

      @Incubating
      public interface JvmClasses
      extends BuildableModelElement

  A set of classes and resources that operate together.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addResourceDir(File resourceDir)` Add a resource directory to this binary.
    `File` | `getClassesDir()` The classes directory for this binary.
    `Set<File>` | `getResourceDirs()` A set of resource directories for this binary.
    `void` | `setClassesDir(File classesDir)` Sets the classes directory for this binary.

    - ### Methods inherited from interface org.gradle.api.BuildableModelElement

      `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

- - ### Method Detail

    - #### getClassesDir

          File getClassesDir()

      The classes directory for this binary.

    - #### setClassesDir

          void setClassesDir(File classesDir)

      Sets the classes directory for this binary.

    - #### getResourceDirs

          Set<File> getResourceDirs()

      A set of resource directories for this binary.

    - #### addResourceDir

          void addResourceDir(File resourceDir)

      Add a resource directory to this binary.